Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1424832 (xreader) - Review Request: xreader - Simple document viewer
Summary: Review Request: xreader - Simple document viewer
Keywords:
Status: CLOSED ERRATA
Alias: xreader
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: leigh scott
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 1359110 (view as bug list)
Depends On:
Blocks: 1359390
TreeView+ depends on / blocked
 
Reported: 2017-02-19 18:22 UTC by Björn 'besser82' Esser
Modified: 2017-05-15 04:35 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-05-14 20:17:41 UTC
leigh123linux: fedora-review+


Attachments (Terms of Use)

Description Björn 'besser82' Esser 2017-02-19 18:22:29 UTC
Description:

  X-Apps Document Reader is a document viewer capable of displaying
  multiple and singlepage document formats like PDF and PostScript.


Koji Build:

  https://koji.fedoraproject.org/koji/taskinfo?taskID=17957371


Issues:

  No known issues.  Some minor complains from rpmlint.


FAS-User:

  besser82


Urls:

Spec URL:  https://pagure.io/besser82/package-review/raw/master/f/xreader.spec
  SRPM URL:  https://pagure.io/besser82/package-review/raw/master/f/xreader-1.2.2-0.1.fc26.src.rpm


Thanks for review in advance!

Comment 1 Björn 'besser82' Esser 2017-02-19 18:22:56 UTC
*** Bug 1359110 has been marked as a duplicate of this bug. ***

Comment 2 Björn 'besser82' Esser 2017-02-20 00:22:27 UTC
Fixed scratch-build:

  https://koji.fedoraproject.org/koji/taskinfo?taskID=17960740

Comment 3 leigh scott 2017-04-02 08:21:32 UTC
typelibs belong in the main package not -devel, please move tyhis to main

%{_libdir}/girepository-1.0/*

Comment 4 leigh scott 2017-04-02 08:38:16 UTC
Also please remove NEWS as it's empty

xreader.x86_64: E: zero-length /usr/share/doc/xreader/NEWS


and move AUTHORS to %doc

%license AUTHORS COPYING debian/copyright
%doc ChangeLog NEWS README debian/changelog


You should also fix the unused-direct-shlib-dependency warnings


xreader.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libxreaderdocument.so.3.0.0 /lib64/libpangocairo-1.0.so.0
xreader.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libxreaderdocument.so.3.0.0 /lib64/libpango-1.0.so.0
xreader.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libxreaderdocument.so.3.0.0 /lib64/libatk-1.0.so.0
xreader.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libxreaderdocument.so.3.0.0 /lib64/libcairo-gobject.so.2
xreader.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libxreaderview.so.3.0.0 /lib64/libgmodule-2.0.so.0
xreader.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libxreaderview.so.3.0.0 /lib64/libgthread-2.0.so.0
xreader.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libxreaderview.so.3.0.0 /lib64/libpangocairo-1.0.so.0
xreader.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libxreaderview.so.3.0.0 /lib64/libcairo-gobject.so.2
xreader.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libxreaderview.so.3.0.0 /lib64/libgdk_pixbuf-2.0.so.0
xreader.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libxreaderview.so.3.0.0 /lib64/libsoup-2.4.so.1
xreader.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libxreaderview.so.3.0.0 /lib64/libjavascriptcoregtk-4.0.so.18
xreader.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libxreaderview.so.3.0.0 /lib64/libxml2.so.2
xreader.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libxreaderview.so.3.0.0 /lib64/libz.so.1



and report/fix these upstream


xreader-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/xreader-1.2.2-0.1.fc27.x86_64/shell/ev-sidebar-bookmarks.c
xreader-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/xreader-1.2.2-0.1.fc27.x86_64/shell/ev-sidebar-bookmarks.h

Comment 5 Björn 'besser82' Esser 2017-05-06 16:53:57 UTC
Updated package:

  All above issues should be fixed now.

***

Koji Build:

  https://koji.fedoraproject.org/koji/taskinfo?taskID=19422795


Urls:

Spec URL:  https://pagure.io/besser82/package-review/raw/master/f/xreader.spec
  SRPM URL:  https://pagure.io/besser82/package-review/raw/master/f/xreader-1.4.0-0.1.fc27.src.rpm

Comment 6 leigh scott 2017-05-06 17:17:14 UTC
Approved, please fix the unowned directory when you import.


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Package installs properly.
  Note: Installation errors (see attachment)
  See: https://fedoraproject.org/wiki/Packaging:Guidelines
- If (and only if) the source package includes the text of the license(s)
  in its own file, then that file, containing the text of the license(s)
  for the package is included in %license.
  Note: License file licence.html is not marked as %license
  See:
  http://fedoraproject.org/wiki/Packaging/LicensingGuidelines#License_Text
- glib-compile-schemas is run in %postun and %posttrans if package has
  *.gschema.xml files.
  Note: gschema file(s) in xreader
  See:
  http://fedoraproject.org/wiki/Packaging:ScriptletSnippets#GSettings_Schema
- update-desktop-database is invoked in %post and %postun if package
  contains desktop file(s) with a MimeType: entry.
  Note: desktop file(s) with MimeType entry in xreader
  See: http://fedoraproject.org/wiki/Packaging:ScriptletSnippets#desktop-
  database


===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Development (unversioned) .so files in -devel subpackage, if present.
     Note: Unversioned so-files in private %_libdir subdirectory (see
     attachment). Verify they are not in ld path.
[x]: Header files in -devel subpackage, if present.
[x]: ldconfig called in %post and %postun if required.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "LGPL (v2 or later)", "GPL (v2 or later)", "Unknown or
     generated", "MIT/X11 (BSD like)", "zlib/libpng", "GPL (v2 or later)
     (with incorrect FSF address)", "LGPL (v2.1 or later)", "FSF All
     Permissive", "GPL (v2)". 342 files have unknown license. Detailed
     output of licensecheck in /home/leigh/1424832-xreader/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package requires other packages for directories it uses.
     Note: No known owner of /usr/share/help/vi
[x]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/share/help/fi,
     /usr/share/help/uk, /usr/share/help/de, /usr/share/dbus-1/services,
     /usr/share/help/sv, /usr/share/help/sr, /usr/share/help/fr,
     /usr/share/help/C, /usr/share/help/nl, /usr/share/help/ja,
     /usr/share/help/es, /usr/share/help/eu, /usr/share/help/vi,
     /usr/share/help/ca, /usr/share/help/sl, /usr/share/help/el,
     /usr/share/help/en_GB, /usr/share/help/zh_CN, /usr/share/dbus-1,
     /usr/share/help/pt_BR, /usr/share/help/oc, /usr/share/help/it,
     /usr/share/help/cs, /usr/share/help/bg, /usr/share/help/ru
[!]: Package does not own files or directories owned by other packages.
     Note: Dirs in package are owned also by: /usr/share/gtk-doc(gnome-
     desktop3-devel, libcanberra-devel, libgnome-keyring-devel,
     libxklavier-devel, exo-devel, libgtop2-devel, gcr-devel, polkit-docs,
     p11-kit-devel, libpeas-devel, harfbuzz-devel, libsecret-devel, json-
     glib-devel, clutter-gst3-devel, libxfce4util-devel, libgdata-devel,
     libgweather-devel, gnome-bluetooth-libs-devel, gtk-doc, gtkimageview-
     devel), /usr/share/gtk-doc/html(gnome-desktop3-devel, libcanberra-
     devel, libgnome-keyring-devel, libxklavier-devel, exo-devel,
     libgtop2-devel, gcr-devel, polkit-docs, p11-kit-devel, libpeas-devel,
     harfbuzz-devel, libsecret-devel, json-glib-devel, clutter-gst3-devel,
     libxfce4util-devel, libgdata-devel, libgweather-devel, gnome-
     bluetooth-libs-devel, gtk-doc, gtkimageview-devel)
     
     
     You need to own /usr/share/gtk-doc/html/*
     
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: The spec file handles locales properly.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[?]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: gtk-update-icon-cache is invoked in %postun and %posttrans if package
     contains icons.
     Note: icons in xreader
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[?]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 30720 bytes in 3 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package contains desktop file if it is a GUI application.
[x]: Package installs a %{name}.desktop using desktop-file-install or
     desktop-file-validate if there is such a file.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[?]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in xreader-
     devel , xreader-doc , nemo-extension-xreader , caja-extension-xreader
     , xreader-debuginfo
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[?]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[?]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: The placement of pkgconfig(.pc) files are correct.
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[!]: Rpmlint is run on all installed packages.
     Note: Mock build failed
     See: http://fedoraproject.org/wiki/Packaging/Guidelines#rpmlint
[?]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
     Note: Arch-ed rpms have a total of 4341760 bytes in /usr/share
[x]: Spec file according to URL is the same as in SRPM.


Installation errors
-------------------
INFO: mock.py version 1.4.1 starting (python version = 3.6.1)...
Start: init plugins
INFO: selinux disabled
Finish: init plugins
Start: init plugins
INFO: selinux disabled
Finish: init plugins
Start: run
Start: chroot init
INFO: calling preinit hooks
INFO: enabled root cache
INFO: enabled dnf cache
Start: cleaning dnf metadata
Finish: cleaning dnf metadata
INFO: enabled HW Info plugin
Mock Version: 1.4.1
INFO: Mock Version: 1.4.1
Finish: chroot init
Start: chroot init
INFO: calling preinit hooks
INFO: enabled root cache
INFO: enabled dnf cache
Start: cleaning dnf metadata
Finish: cleaning dnf metadata
INFO: enabled HW Info plugin
Mock Version: 1.4.1
INFO: Mock Version: 1.4.1
Finish: chroot init
INFO: installing package(s): /home/leigh/1424832-xreader/results/caja-extension-xreader-1.4.0-0.1.fc27.x86_64.rpm /home/leigh/1424832-xreader/results/nemo-extension-xreader-1.4.0-0.1.fc27.x86_64.rpm /home/leigh/1424832-xreader/results/xreader-debuginfo-1.4.0-0.1.fc27.x86_64.rpm /home/leigh/1424832-xreader/results/xreader-doc-1.4.0-0.1.fc27.noarch.rpm /home/leigh/1424832-xreader/results/xreader-1.4.0-0.1.fc27.x86_64.rpm /home/leigh/1424832-xreader/results/xreader-devel-1.4.0-0.1.fc27.x86_64.rpm
ERROR: Command failed: 
 # /usr/bin/systemd-nspawn -q -M b2c11c54f0654b68b54248d40ab03d08 -D /var/lib/mock/fedora-rawhide-x86_64-bootstrap/root -a --setenv=TERM=vt100 --setenv=SHELL=/bin/bash --setenv=HOME=/builddir --setenv=HOSTNAME=mock --setenv=PATH=/usr/bin:/bin:/usr/sbin:/sbin --setenv=PROMPT_COMMAND=printf "\033]0;<mock-chroot>\007" --setenv=PS1=<mock-chroot> \s-\v\$  --setenv=LANG=en_GB.UTF-8 --setenv=LC_MESSAGES=C /usr/bin/dnf --installroot /var/lib/mock/fedora-rawhide-x86_64/root/ --releasever 26 --disableplugin=local --setopt=deltarpm=false install /home/leigh/1424832-xreader/results/caja-extension-xreader-1.4.0-0.1.fc27.x86_64.rpm /home/leigh/1424832-xreader/results/nemo-extension-xreader-1.4.0-0.1.fc27.x86_64.rpm /home/leigh/1424832-xreader/results/xreader-debuginfo-1.4.0-0.1.fc27.x86_64.rpm /home/leigh/1424832-xreader/results/xreader-doc-1.4.0-0.1.fc27.noarch.rpm /home/leigh/1424832-xreader/results/xreader-1.4.0-0.1.fc27.x86_64.rpm /home/leigh/1424832-xreader/results/xreader-devel-1.4.0-0.1.fc27.x86_64.rpm



Rpmlint
-------
Checking: xreader-1.4.0-0.1.fc27.x86_64.rpm
          xreader-devel-1.4.0-0.1.fc27.x86_64.rpm
          xreader-doc-1.4.0-0.1.fc27.noarch.rpm
          nemo-extension-xreader-1.4.0-0.1.fc27.x86_64.rpm
          caja-extension-xreader-1.4.0-0.1.fc27.x86_64.rpm
          xreader-debuginfo-1.4.0-0.1.fc27.x86_64.rpm
          xreader-1.4.0-0.1.fc27.src.rpm
xreader.x86_64: W: spelling-error %description -l en_US singlepage -> single page, single-page, singleness
xreader.x86_64: W: hidden-file-or-dir /usr/lib/.build-id
xreader.x86_64: W: hidden-file-or-dir /usr/lib/.build-id
xreader-devel.x86_64: W: only-non-binary-in-usr-lib
xreader-devel.x86_64: W: no-documentation
nemo-extension-xreader.x86_64: W: spelling-error %description -l en_US singlepage -> single page, single-page, singleness
nemo-extension-xreader.x86_64: W: no-documentation
nemo-extension-xreader.x86_64: W: hidden-file-or-dir /usr/lib/.build-id
nemo-extension-xreader.x86_64: W: hidden-file-or-dir /usr/lib/.build-id
caja-extension-xreader.x86_64: W: spelling-error %description -l en_US singlepage -> single page, single-page, singleness
caja-extension-xreader.x86_64: W: no-documentation
caja-extension-xreader.x86_64: W: hidden-file-or-dir /usr/lib/.build-id
caja-extension-xreader.x86_64: W: hidden-file-or-dir /usr/lib/.build-id
xreader-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/xreader-1.4.0-0.1.fc27.x86_64/shell/ev-sidebar-bookmarks.c
xreader-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/xreader-1.4.0-0.1.fc27.x86_64/shell/ev-sidebar-bookmarks.h
xreader.src: W: spelling-error %description -l en_US singlepage -> single page, single-page, singleness
7 packages and 0 specfiles checked; 2 errors, 14 warnings.




Requires
--------
xreader-debuginfo (rpmlib, GLIBC filtered):

caja-extension-xreader (rpmlib, GLIBC filtered):
    caja
    libatk-1.0.so.0()(64bit)
    libc.so.6()(64bit)
    libcairo-gobject.so.2()(64bit)
    libcairo.so.2()(64bit)
    libcaja-extension.so.1()(64bit)
    libgdk-3.so.0()(64bit)
    libgdk_pixbuf-2.0.so.0()(64bit)
    libgio-2.0.so.0()(64bit)
    libglib-2.0.so.0()(64bit)
    libgmodule-2.0.so.0()(64bit)
    libgobject-2.0.so.0()(64bit)
    libgthread-2.0.so.0()(64bit)
    libgtk-3.so.0()(64bit)
    libm.so.6()(64bit)
    libpango-1.0.so.0()(64bit)
    libpangocairo-1.0.so.0()(64bit)
    libpthread.so.0()(64bit)
    libxreaderdocument.so.3()(64bit)
    libz.so.1()(64bit)
    rtld(GNU_HASH)
    xreader(x86-64)

xreader (rpmlib, GLIBC filtered):
    /bin/sh
    gsettings-desktop-schemas(x86-64)
    libICE.so.6()(64bit)
    libSM.so.6()(64bit)
    libX11.so.6()(64bit)
    libarchive.so.13()(64bit)
    libatk-1.0.so.0()(64bit)
    libc.so.6()(64bit)
    libcairo-gobject.so.2()(64bit)
    libcairo.so.2()(64bit)
    libdjvulibre.so.21()(64bit)
    libgailutil-3.so.0()(64bit)
    libgcc_s.so.1()(64bit)
    libgdk-3.so.0()(64bit)
    libgdk_pixbuf-2.0.so.0()(64bit)
    libgio-2.0.so.0()(64bit)
    libglib-2.0.so.0()(64bit)
    libgmodule-2.0.so.0()(64bit)
    libgobject-2.0.so.0()(64bit)
    libgthread-2.0.so.0()(64bit)
    libgtk-3.so.0()(64bit)
    libgxps.so.2()(64bit)
    libjavascriptcoregtk-4.0.so.18()(64bit)
    libkpathsea.so.6()(64bit)
    libm.so.6()(64bit)
    libpango-1.0.so.0()(64bit)
    libpangocairo-1.0.so.0()(64bit)
    libpoppler-glib.so.8()(64bit)
    libpthread.so.0()(64bit)
    libsecret-1.so.0()(64bit)
    libsoup-2.4.so.1()(64bit)
    libspectre.so.1()(64bit)
    libstdc++.so.6()(64bit)
    libtiff.so.5()(64bit)
    libtiff.so.5(LIBTIFF_4.0)(64bit)
    libwebkit2gtk-4.0.so.37()(64bit)
    libxml2.so.2()(64bit)
    libxml2.so.2(LIBXML2_2.4.30)(64bit)
    libxreaderdocument.so.3()(64bit)
    libxreaderview.so.3()(64bit)
    libz.so.1()(64bit)
    rtld(GNU_HASH)
    shared-mime-info(x86-64)
    xapps(x86-64)

xreader-devel (rpmlib, GLIBC filtered):
    /usr/bin/pkg-config
    libxreaderdocument.so.3()(64bit)
    libxreaderview.so.3()(64bit)
    pkgconfig(gio-2.0)
    pkgconfig(gthread-2.0)
    pkgconfig(gtk+-3.0)
    pkgconfig(xreader-document-1.5.0)
    xreader(x86-64)

xreader-doc (rpmlib, GLIBC filtered):

nemo-extension-xreader (rpmlib, GLIBC filtered):
    libatk-1.0.so.0()(64bit)
    libc.so.6()(64bit)
    libcairo-gobject.so.2()(64bit)
    libcairo.so.2()(64bit)
    libgdk-3.so.0()(64bit)
    libgdk_pixbuf-2.0.so.0()(64bit)
    libgio-2.0.so.0()(64bit)
    libglib-2.0.so.0()(64bit)
    libgmodule-2.0.so.0()(64bit)
    libgobject-2.0.so.0()(64bit)
    libgthread-2.0.so.0()(64bit)
    libgtk-3.so.0()(64bit)
    libm.so.6()(64bit)
    libnemo-extension.so.1()(64bit)
    libpango-1.0.so.0()(64bit)
    libpangocairo-1.0.so.0()(64bit)
    libpthread.so.0()(64bit)
    libxreaderdocument.so.3()(64bit)
    libz.so.1()(64bit)
    nemo
    rtld(GNU_HASH)
    xreader(x86-64)



Provides
--------
xreader-debuginfo:
    xreader-debuginfo
    xreader-debuginfo(x86-64)

caja-extension-xreader:
    caja-extension-xreader
    caja-extension-xreader(x86-64)
    libxreader-properties-page.so()(64bit)

xreader:
    appdata()
    appdata(xreader.appdata.xml)
    application()
    application(xreader.desktop)
    libxreaderdocument.so.3()(64bit)
    libxreaderview.so.3()(64bit)
    mimehandler(application/epub+zip)
    mimehandler(application/oxps)
    mimehandler(application/pdf)
    mimehandler(application/postscript)
    mimehandler(application/vnd.comicbook+zip)
    mimehandler(application/vnd.ms-xpsdocument)
    mimehandler(application/x-bzdvi)
    mimehandler(application/x-bzpdf)
    mimehandler(application/x-bzpostscript)
    mimehandler(application/x-cb7)
    mimehandler(application/x-cbr)
    mimehandler(application/x-cbt)
    mimehandler(application/x-cbz)
    mimehandler(application/x-dvi)
    mimehandler(application/x-gzdvi)
    mimehandler(application/x-gzpdf)
    mimehandler(application/x-gzpostscript)
    mimehandler(application/x-xzpdf)
    mimehandler(image/*)
    mimehandler(image/tiff)
    mimehandler(image/vnd.djvu)
    mimehandler(image/vnd.djvu+multipage)
    mimehandler(image/x-bzeps)
    mimehandler(image/x-eps)
    mimehandler(image/x-gzeps)
    xreader
    xreader(x86-64)

xreader-devel:
    pkgconfig(xreader-document-1.5.0)
    pkgconfig(xreader-view-1.5.0)
    xreader-devel
    xreader-devel(x86-64)

xreader-doc:
    xreader-doc

nemo-extension-xreader:
    libxreader-properties-page.so()(64bit)
    nemo-extension-xreader
    nemo-extension-xreader(x86-64)



Unversioned so-files
--------------------
xreader: /usr/lib64/xreader/3/backends/libcomicsdocument.so
xreader: /usr/lib64/xreader/3/backends/libdjvudocument.so
xreader: /usr/lib64/xreader/3/backends/libdvidocument.so
xreader: /usr/lib64/xreader/3/backends/libepubdocument.so
xreader: /usr/lib64/xreader/3/backends/libpdfdocument.so
xreader: /usr/lib64/xreader/3/backends/libpixbufdocument.so
xreader: /usr/lib64/xreader/3/backends/libpsdocument.so
xreader: /usr/lib64/xreader/3/backends/libtiffdocument.so
xreader: /usr/lib64/xreader/3/backends/libxpsdocument.so
nemo-extension-xreader: /usr/lib64/nemo/extensions-3.0/libxreader-properties-page.so
caja-extension-xreader: /usr/lib64/caja/extensions-2.0/libxreader-properties-page.so

Source checksums
----------------
https://github.com/linuxmint/xreader/archive/1.4.0.tar.gz#/xreader-1.4.0.tar.gz :
  CHECKSUM(SHA256) this package     : 454d75fd672de7a24db302901a142efc499532cbc6fdc9326f3600786eb590d3
  CHECKSUM(SHA256) upstream package : 454d75fd672de7a24db302901a142efc499532cbc6fdc9326f3600786eb590d3


Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -b 1424832
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 7 Gwyn Ciesla 2017-05-08 12:40:40 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/xreader

Comment 8 Fedora Update System 2017-05-08 13:47:45 UTC
xreader-1.4.0-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-eeb39f9511

Comment 9 Fedora Update System 2017-05-09 02:39:04 UTC
xreader-1.4.0-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-eeb39f9511

Comment 10 Fedora Update System 2017-05-09 08:16:15 UTC
xreader-1.4.1-2.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-78ec919440

Comment 11 Fedora Update System 2017-05-09 08:16:28 UTC
xreader-1.4.1-2.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-d43944241b

Comment 12 Fedora Update System 2017-05-09 08:16:38 UTC
xreader-1.4.1-2.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2017-c2c80eee85

Comment 13 Fedora Update System 2017-05-09 21:26:19 UTC
xreader-1.4.0-1.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2017-05-10 07:04:23 UTC
xreader-1.4.1-2.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-d43944241b

Comment 15 Fedora Update System 2017-05-10 10:43:51 UTC
xreader-1.4.1-2.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-c2c80eee85

Comment 16 Fedora Update System 2017-05-12 02:11:19 UTC
xreader-1.4.1-2.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-78ec919440

Comment 17 Fedora Update System 2017-05-14 20:17:41 UTC
xreader-1.4.1-2.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 18 Fedora Update System 2017-05-15 04:27:23 UTC
xreader-1.4.1-2.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 19 Fedora Update System 2017-05-15 04:35:52 UTC
xreader-1.4.1-2.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.